curl https://api.thanxsandbox.com/tags \
-X PUT \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
-d '{
"tag": {
"key": "allergens",
"merchant_id": "weroifs",
"values": [
"gluten",
"soy",
"dairy",
"honey"
]
}
}'
{
"tag": {
"id": "werwerr",
"user_id": "werofsdf",
"merchant_id": "weroif",
"key": "allergens",
"values": ["gluten", "soy", "dairy", "honey"]
}
}
Tags
Update Tags
This endpoint updates an attribute tag for the given user. The tag associated with the key in the request will be created or updated with the values passed in.
PUT
/
tags
curl https://api.thanxsandbox.com/tags \
-X PUT \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
-d '{
"tag": {
"key": "allergens",
"merchant_id": "weroifs",
"values": [
"gluten",
"soy",
"dairy",
"honey"
]
}
}'
{
"tag": {
"id": "werwerr",
"user_id": "werofsdf",
"merchant_id": "weroif",
"key": "allergens",
"values": ["gluten", "soy", "dairy", "honey"]
}
}
Please review proper request headers here.
Parameters
Response
curl https://api.thanxsandbox.com/tags \
-X PUT \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
-d '{
"tag": {
"key": "allergens",
"merchant_id": "weroifs",
"values": [
"gluten",
"soy",
"dairy",
"honey"
]
}
}'
{
"tag": {
"id": "werwerr",
"user_id": "werofsdf",
"merchant_id": "weroif",
"key": "allergens",
"values": ["gluten", "soy", "dairy", "honey"]
}
}